services:
  n8n:
    image: n8nio/n8n
    restart: unless-stopped
    ports:
      - "127.0.0.1:5678:5678"
    environment:
      - N8N_BASIC_AUTH_ACTIVE=true
      - N8N_BASIC_AUTH_USER=admin-n8n
      - N8N_BASIC_AUTH_PASSWORD=2reishit2ara
      - N8N_HOST=n8n.ronnyabraham.com
      - N8N_PORT=443
      - N8N_PROTOCOL=https
      - WEBHOOK_URL=https://n8n.ronnyabraham.com/
      - N8N_ENFORCE_SETTINGS_FILE_PERMISSIONS=true
      - N8N_RUNNERS_ENABLED=true
    volumes:
      - /srv/n8n:/home/node/.n8n
      - /srv/n8n/config:/etc/n8n  # Optional: for external config files (advanced)
